Create a Machine/Instance Type association

View as Markdown

Associate a Machine to an Instance Type

Org must have an Infrastructure Provider entity that owns the Instance Type and the Machine. User must have authorization role with PROVIDER_ADMIN suffix.

The Machine’s capabilities must be a superset of the Instance Type’s required capabilities for the association to succeed.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current ```

Path parameters

orgstringRequired
Name of the Org
instanceTypeIdstringRequiredformat: "uuid"
ID of the Instance Type

Request

This endpoint expects an object.
machineIdslist of stringsRequired
ID of the Machine

Response

Created
machineIdstring
ID of the associated Machine
instanceTypeIdstringformat: "uuid"
ID of the associated Instance Type
deprecationslist of objects
Deprecation notices for fields returned by this resource
createddatetimeRead-only
Date and time the Machine Instance Type was created
updateddatetime
Date and time the Machine Instance Type was last updated
idstringRead-onlyformat: "uuid"Deprecated

Deprecated: Use machineId when identifying a Machine/Instance Type association. This field will be removed on July 9th, 2026 0:00 UTC.

Errors

400
Bad Request Error
403
Forbidden Error